Summary:	A set of Solitaire type games for the X Window System
Name:		xpat2
Version:	1.04
Release: 23mdk
Copyright:	GPL
Group:		Games/Cards
BuildRequires:	XFree86-devel xpm-devel

Source0:	ftp://sunsite.unc.edu/pub/Linux/games/x11/strategy/xpat2-1.04-src.tar.bz2
Source1:	xpat2
Source2:	%{name}16.xpm.bz2
Source3:	%{name}32.xpm.bz2
Source4:	%{name}48.xpm.bz2
Patch:		xpat2-1.03-fsstnd.patch.bz2
Patch1:		xpat2-1.04-xpm.patch.bz2
Patch2:		xpat2-1.04-nobr.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Xpat2 is a generic patience or Solitaire game for the X Window System.

Xpat2 can be used with different rules sets, so it can be used to play
Spider, Klondike, and other card games.


%prep

%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1 -b .nobr

%build
export PATH=%{_bindir}/X11:$PATH

# Needed if you build on a x86 arch for another x86 arch
#%ifarch i386 i486 i586 i686 k6 k7
#perl -p -i -e "s|xmkmf &&||" Makefile
#cd src
#xmkmf
#perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
#perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
#make
#%else
#make
#%endif
%make
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT XPATMANDIR=/usr/share/man/man6
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_libdir}/menu/
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/games/xpat
%{_mandir}/man6/xpat2.6x*
%{_prefix}/X11R6/bin/xpat2
%{_prefix}/X11R6/lib/X11/app-defaults/XPat
%{_libdir}/menu/*
%{_miconsdir}/*
%{_liconsdir}/*
%{_iconsdir}/%{name}.xpm


%changelog
* Sat Jan 20 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.04-23mdk
- fixed menu entry

* Fri Dec  8 2000 Etienne Faure  <etienne@mandraksoft.com> 1.04-22mdk
- Rebuilt for ppc
- Macros

* Thu Aug 31 2000 Mark Walker <mwalker@mandrakesoft.com> 1.04-21mdk
- Release build

* Wed Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 1.04-20mdk
- Fix menu entry
- Human readable spec

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.04-19mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.04-18mdk
- macroszifications
- update menus and clean menus macro
- BM

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.04-17mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.04-16mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.04-15mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.04-14mdk
- Added menu entry.

* Thu Mar 30 2000 dam's <damien@mandrakesoft.com> 1.04-13mdk
- Release.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.04-12mdk
- Use bz2 sources.

* Thu Nov 6 1999 dam's <damien@mandrakesoft.com>
- Mandrake adaptation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- use "mkdir -p" rather than mkdirhier to avoid IFS problem with bash-2.02.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
